OpenVDB 13.0.0

Loading...
Searching...
No Matches
FastSweeping< SdfGridT, ExtValueT >::SweepingKernel::NN Struct Reference

`#include <openvdb/tools/FastSweeping.h>`

## Public Member Functions
| NN ()
| NN (const SdfAccT &a, const Coord &p, int i)
Coord | operator() (const Coord &p) const
bool | operator< (const NN &rhs) const
| operator bool () const

## Static Public Member Functions
static Coord | ijk (const Coord &p, int i)

## Public Attributes
SdfValueT | v
int | n

## Constructor & Destructor Documentation

## ◆ NN() [1/2]

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

NN | ( |  | ) |
| inline

## ◆ NN() [2/2]

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

NN | ( | const SdfAccT & | a,
|  | const Coord & | p,
|  | int | i )
| inline

## Member Function Documentation

## ◆ ijk()

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

Coord ijk | ( | const Coord & | p,
|  | int | i )
| inline static

## ◆ operator bool()

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

operator bool | ( |  | ) | const
| inline

## ◆ operator()()

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

Coord operator() | ( | const Coord & | p | ) | const
| inline

## ◆ operator<()

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

bool operator< | ( | const NN & | rhs | ) | const
| inline

## Member Data Documentation

## ◆ n

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

int n

## ◆ v

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

SdfValueT v